Author Topic: Installing code::blocks?  (Read 1039 times)

Offline DevonBirch

  • Single posting newcomer
  • *
  • Posts: 1
Installing code::blocks?
« on: March 16, 2021, 03:36:42 pm »
I'm new at this. I mean really new. I finally started to understand programming using a Just Basic course but want to learn the real thing.
The problem, can't install code::blocks. I keep on getting an error message. I tried downloading the program from the two sites available but one doesn't open  (BerliOS) and, it would seem, that the one on Sourceforge.net seems to be corrupted or has suffered change.
I can follow instructions in the Internet to stop my computer from blocking the installation but I'm afraid that I would be opening the doors to some kind of virus attack if I do. So, am I being over cautious?

Offline Miguel Gimenez

  • Lives here!
  • ****
  • Posts: 765
Re: Installing code::blocks?
« Reply #1 on: March 16, 2021, 03:45:08 pm »
Can you be more explicit and report OS, downloaded version and the exact error message?

Offline gd_on

  • Lives here!
  • ****
  • Posts: 660
Re: Installing code::blocks?
« Reply #2 on: March 16, 2021, 04:01:04 pm »
Berlios has been abandoned for a long time
The most recent full downloads are in https://www.codeblocks.org/downloads/binaries/
You have several choices depending on your OS. If you are on Windows, I suppose the best choice for you is a version including Mingw (compiler set), 32 or 64 bits.
Windows 10 64 bits (21H1), svn C::B (last version or almost!), wxWidgets 3.1.5, Msys2 Compilers 10.3.0, 64 bits (seh, posix : gcc, g++ and gfortran in C:\msys64\mingw64) or 32 bits (sjlj, posix in C:\msys64\mingw32).